WsL ' Unknown error executing apt-key'

WsL was OK before , including LAMP installation.
Is there an easy solution ?

Update the time on your device. It’s saying there are signature issues which can be caused by the time on your computer being incorrect

Updated the time.
The error is not going away…
Looking forward to an early trial release of WOA for Pi4b-(4) .

root@DESKTOP-1PO3PH6:~# date
Sun Jun 30 19:55:18 DST 2019
root@DESKTOP-1PO3PH6:~# apt update
Ign:1 http://deb.debian.org/debian stretch InRelease
Get:2 http://deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Get:3 http://security.debian.org/debian-security stretch/updates InRelease [94.3 kB]
Ign:5 http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 InRelease
Get:6 http://deb.playonlinux.com trusty InRelease [2,590 B]
Get:7 http://deb.debian.org/debian stretch Release [118 kB]
Get:4 http://ftp.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:8 http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 Release [981 B]
Get:9 http://deb.debian.org/debian stretch Release.gpg [2,434 B]
Get:10 http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 Release.gpg [481 B]
Err:2 http://deb.debian.org/debian stretch-updates InRelease
Unknown error executing apt-key
Err:3 http://security.debian.org/debian-security stretch/updates InRelease
Unknown error executing apt-key
Err:6 http://deb.playonlinux.com trusty InRelease
Unknown error executing apt-key
Err:4 http://ftp.debian.org/debian stretch-backports InRelease
Unknown error executing apt-key
Ign:9 http://deb.debian.org/debian stretch Release.gpg
Ign:10 http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 Release.gpg
Reading package lists… Done
W: GPG error: http://deb.debian.org/debian stretch-updates InRelease: Unknown error executing apt-key
E: The repository ‘http://deb.debian.org/debian stretch-updates InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Unknown error executing apt-key
E: The repository ‘http://security.debian.org/debian-security stretch/updates InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://deb.playonlinux.com trusty InRelease: Unknown error executing apt-key
E: The repository ‘http://deb.playonlinux.com trusty InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://ftp.debian.org/debian stretch-backports InRelease: Unknown error executing apt-key
E: The repository ‘http://ftp.debian.org/debian stretch-backports InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://deb.debian.org/debian stretch Release: Unknown error executing apt-key
E: The repository ‘http://deb.debian.org/debian stretch Release’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 Release: Unknown error executing apt-key
E: The repository ‘http://download.opensuse.org/repositories/home:/strycore/xUbuntu_18.04 Release’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@DESKTOP-1PO3PH6:~#